<?php defined("IN_FORMA") or die('Direct access is forbidden.');

/* ======================================================================== \
| 	DOCEBO - The E-Learning Suite											|
| 																			|
| 	Copyright (c) 2011 (Docebo)												|
| 	http://www.docebo.com													|
|   License 	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt		|
\ ======================================================================== */


/**
 * Definition of php magic __autoload() method
 * @param <string> $classname the classname that php are tring to istanciate
 * @return not used
 */

function libretto_autoload($classname) {

	// purify the request
	$classname = preg_replace('/[^a-zA-Z0-9\-\_]+/', '', $classname);
	$plugin_location = dirname(__FILE__);

	// fixed bases classes
	$fixed = array(
		'LibrettoLmsController' => $plugin_location.'/controllers/LibrettoLmsController.php',
		'LibrettoLms' => $plugin_location.'/models/LibrettoLms.php'
	);
	
	//search for a base class and include the file if found
	if(isset($fixed[$classname])) {
		if(file_exists($fixed[$classname])) include_once($fixed[$classname]);
		return;
	}
	// unable to autoload
}

spl_autoload_register('libretto_autoload');